package sra.jun.goodies.display;

import sra.smalltalk.*;

/**
 * JunDisplayView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/11/11 (by MATSUDA Ryouichi)
 *  @updated   2002/11/21 (by nisinaka)
 *  @updated   2003/03/19 (by nisinaka)
 *  @version   445 (with StPL6.5) based on Jun473 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDisplayView.java,v 6.5 2004/04/15 06:27:56 nisinaka Exp $
 */
public interface JunDisplayView extends StView {

	/**
	 * Answer my model as JunDisplayModel.
	 * 
	 * @return sra.jun.goodies.display.JunDisplayModel
	 */
	public JunDisplayModel getDisplayModel();
}
