package sra.jun.goodies.gauge;

import sra.smalltalk.StSimpleDialogView;

/**
 * JunGaugeDialogView interface
 * 
 *  @author    nisinaka
 *  @created   2004/04/14 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun492 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunGaugeDialogView.java,v 6.0 2004/04/14 06:22:47 nisinaka Exp $
 */
public interface JunGaugeDialogView extends StSimpleDialogView {

	/**
	 * Answer my model as JunGaugeDialog.
	 * 
	 * @return sra.jun.goodies.gauge.JunGaugeDialog
	 * @category model accessing
	 */
	public JunGaugeDialog getGaugeDialog();

}
