package sra.jun.goodies.itemlist;

import sra.smalltalk.StView;

/**
 * JunItemListDialogViewSwing class
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/12/13 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun465 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunItemListDialogViewSwing.java,v 1.6 2004/04/15 06:27:58 nisinaka Exp $
 */
public class JunItemListDialogViewSwing extends JunOrderListDialogViewSwing implements JunItemListDialogView {
	/**
	 * Create a new instance of JunItemListDialogViewSwing and initialize it.
	 *
	 * @param aItemListDialog sra.jun.goodies.itemlist.JunItemListDialog
	 * @category Instance creation
	 */
	public JunItemListDialogViewSwing(JunItemListDialog aItemListDialog) {
		super(aItemListDialog);
	}

	/**
	 * Answer my order list view.
	 *
	 * @return sra.smalltalk.StView
	 * @category interface opening
	 */
	protected StView orderListView() {
		if (orderListView == null) {
			orderListView = JunItemListViewSwing.OnScrollPaneWithButtons((JunItemListModel) this.getOrderListDialog().itemListModel());
		}
		return orderListView;
	}
}
