package sra.jun.goodies.multimedia;

import sra.smalltalk.StView;

/**
 * JunMultiMediaTextView interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/18 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun490 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaTextView.java,v 6.5 2004/04/15 06:28:00 nisinaka Exp $
 */
public interface JunMultiMediaTextView extends StView {

	/**
	 * Answer my model as JunMultiMediaTextModel.
	 *
	 * @return sra.jun.goodies.multimedia.JunMultiMediaTextModel
	 */
	public JunMultiMediaTextModel getTextModel();
}
