package sra.jun.goodies.multimedia;

/**
 * JunMultiMediaViewable interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/20 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun490 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaViewable.java,v 6.5 2004/04/15 06:28:00 nisinaka Exp $
 */
public interface JunMultiMediaViewable {

	/**
	 * Make be invisible.
	 */
	public void beInvisible();

	/**
	 * Make be visible.
	 */
	public void beVisible();
}
