package sra.jun.goodies.progress;

import java.awt.Font;
import sra.smalltalk.StView;

/**
 * JunProgressView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   2000/02/15 (by MATSUDA Ryouichi)
 *  @updated   2002/12/16 (by nisinaka)
 *  @version   445 (with StPL6.5) based on Jun423 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunProgressView.java,v 6.7 2004/04/15 06:28:01 nisinaka Exp $
 */
public interface JunProgressView extends StView {

	public static final Font MessageFont = new Font("monospaced", Font.PLAIN, 12);

	/**
	 * Answer my model as JunProgress.
	 * 
	 * @return sra.jun.goodies.progress.JunProgress
	 * @category model accessing
	 */
	public JunProgress getProgress();

}
