package sra.jun.opengl.chart;

import sra.jun.system.support.JunTestExamples;

/**
 * JunChartCombinationTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1999/01/14 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChartCombinationTestExamples.java,v 6.5 2004/04/15 06:28:06 nisinaka Exp $
 */
public class JunChartCombinationTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example() {
		JunChartCombination aChart = new JunChartCombination();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunChartBar chart1 = new JunChartBar(JunChartDataTestExamples.SampleSamples());
		chart1.showXAxis();
		chart1.showYAxisWithLabels();

		JunChartLine chart2 = new JunChartLine(JunChartDataTestExamples.SampleSamples());
		JunChartCombination combination = JunChartCombination.With_with_(chart1, chart2);
		combination.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean ExampleX() {
		JunChartBar chart1 = new JunChartBar(JunChartDataTestExamples.SampleSamples());
		chart1.showXAxis();
		chart1.showYAxis();

		JunChartLine chart2 = new JunChartLine(JunChartDataTestExamples.SampleSamples());
		JunChartCombination combination = JunChartCombination.With_with_(chart1, chart2);
		combination.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunChartPlotWithNumericalKeysTestExamples();
	}
}
