package sra.jun.vrml.node.abstracts;

import sra.jun.opengl.objects.JunOpenGL3dObject;
import sra.jun.vrml.support.JunVrmlNodeVisitor;

/**
 * JunVrmlAbstractPropertyNode class
 * 
 *  @author    ASTI Beijing
 *  @created   UNKNOWN
 *  @updated   2000/03/27 (by nisinaka)
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlAbstractPropertyNode.java,v 6.5 2004/04/15 06:28:18 nisinaka Exp $
 */
public abstract class JunVrmlAbstractPropertyNode extends JunVrmlNode {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public boolean isPropertyNode() {
		return true;
	}

	/**
	 * Process myself with the generator.
	 * 
	 * @param aVisitor sra.jun.vrml.support.JunVrmlNodeVisitor
	 */
	public void nodeDo_(JunVrmlNodeVisitor aVisitor) {
		aVisitor.doGeneralProperty_(this);
	}

	/**
	 * Set my properties on the JunOpenGL3dObject.
	 * 
	 * @param a3dObject sra.jun.opengl.objects.JunOpenGL3dObject
	 */
	public abstract void propertyOn_(JunOpenGL3dObject a3dObject);
}
