package sra.jun.goodies.display;

import java.awt.Component;
import java.awt.event.*;
import sra.smalltalk.*;

/**
 * JunDisplayController class
 * 
 *  @author    nisinaka
 *  @created   2002/01/09 (by nisinaka)
 *  @updated   2003/03/19 (by nisinaka)
 *  @version   445 (with StPL6.5) based on Jun473 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDisplayController.java,v 6.5 2004/04/15 06:27:56 nisinaka Exp $
 */
public class JunDisplayController extends StController implements MouseListener, MouseMotionListener {

	/**
	 * Set a view as an event listener.
	 * 
	 * @param aView sra.smalltalk.StView
	 */
	protected void buildListener(StView aView) {
		final Component aComponent = (Component) aView;
		aComponent.addMouseListener(this);
		aComponent.addMouseMotionListener(this);
	}
}
