package sra.jun.goodies.gauge;

import sra.smalltalk.StView;

/**
 * JunSimpleGaugeView interface
 * 
 *  @author    Hoshi Takanori
 *  @created   2003/08/28 (by Hoshi Takanori)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun433 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSimpleGaugeView.java,v 6.5 2004/04/15 06:27:57 nisinaka Exp $
 */
public interface JunSimpleGaugeView extends StView {

	/**
	 * Answer my model as JunSimpleGaugeModel.
	 *
	 * @return sra.jun.goodies.gauge.JunSimpleGaugeModel
	 */
	public JunSimpleGaugeModel getSimpleGaugeModel();
}
