package sra.jun.goodies.lisp;

import sra.smalltalk.StView;

/**
 * JunLispInterpreterView interface
 * 
 *  @author    nisinaka
 *  @created   2003/05/07 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun490 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunLispInterpreterView.java,v 6.5 2004/04/15 06:27:59 nisinaka Exp $
 */
public interface JunLispInterpreterView extends StView {

	/**
	 * Answer my model as JunLispInterpreter.
	 *
	 * @return sra.jun.goodies.lisp.JunLispInterpreter
	 */
	public JunLispInterpreter getLispInterpreter();

	/**
	 * Answer the selected text to 'do it'.
	 *
	 * @return java.lang.String
	 */
	public String getSelectedText();
}
