package sra.jun.goodies.movie;

import sra.smalltalk.*;

/**
 * JunScreenRecorderView interface
 * 
 *  @author    Hoshi Takanori
 *  @created   2002/10/18 (by Hoshi Takanori)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunScreenRecorderView.java,v 6.5 2004/04/15 06:27:59 nisinaka Exp $
 */
public interface JunScreenRecorderView extends StView {

    /**
     * Answer my model as JunScreenRecorder.
     *
     * @return sra.jun.goodies.movie.JunScreenRecorder
     */
    public JunScreenRecorder getScreenRecorder();
}
