package sra.jun.goodies.multimedia;

import sra.jun.goodies.movie.JunMovieView;

/**
 * JunMultiMediaMovieView interface
 * 
 *  @author    nisinaka
 *  @created   2003/03/20 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun490 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMultiMediaMovieView.java,v 6.5 2004/04/15 06:27:59 nisinaka Exp $
 */
public interface JunMultiMediaMovieView extends JunMovieView {

	/**
	 * Answer my movie view as JunMovieView.
	 *
	 * @return sra.jun.goodies.movie.JunMovieView
	 */
	public JunMovieView getMovieView();
}
