package sra.jun.goodies.pen;

/**
 * JunPenGeometry class
 * 
 *  @author    Hirotsugu Kondo
 *  @created   1999/1/5 (by Hirotsugu Kondo)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunPenGeometry.java,v 6.5 2004/04/15 06:28:00 nisinaka Exp $
 */
public class JunPenGeometry {
	public static final double ACCURACY = 1.0e-12d;

	/**
	 * Answer the accuracy of geometries.
	 * 
	 * @return double
	 */
	public static final double Accuracy() {
		return ACCURACY;
	}

	/**
	 * Answer the accuracy of geometries.
	 * 
	 * @return double
	 */
	public double accuracy() {
		return ACCURACY;
	}
}
