package sra.jun.opengl.chart;

import java.util.Vector;

/**
 * JunChartDataSheetTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1998/11/19 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChartDataSheetTestExamples.java,v 6.5 2004/04/15 06:28:06 nisinaka Exp $
 */
public class JunChartDataSheetTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunChartDataSheet sheet = new JunChartDataSheet(Sample(), 1);
		System.out.println(sheet.printString());

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunChartDataSheetTestExamples();
	}

	/**
	 * Sample data.
	 * 
	 * @return java.util.Vector
	 */
	protected static Vector Sample() {
		Object[] anArray1 = { new Integer(1), new Integer(10), new Integer(10)};
		Object[] anArray2 = { new Integer(2), new Integer(20), new Integer(40)};
		Object[] anArray3 = { new Integer(3), new Integer(40), new Integer(120)};
		Object[] anArray4 = { new Integer(4), new Integer(80), new Integer(320)};
		Vector sample = new Vector(4);
		sample.addElement(anArray1);
		sample.addElement(anArray2);
		sample.addElement(anArray3);
		sample.addElement(anArray4);

		return sample;
	}
}
