package sra.jun.opengl.display;

import sra.smalltalk.*;

/**
 * JunOpenGL3dView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   2000/01/10 (by MATSUDA Ryouichi)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun475 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGL3dView.java,v 6.5 2004/04/15 06:28:07 nisinaka Exp $
 */
public interface JunOpenGL3dView extends StView {

	/**
	 * Answer my model as a JunOpenGL3dModel.
	 * 
	 * @return sra.jun.opengl.display.JunOpenGLShowModel
	 */
	public JunOpenGL3dModel getOpenGL3dModel();

	/**
	 * menu model.
	 * 
	 * @param aMenu sra.smalltalk.StMenu
	 */
	public void setPopupMenu(StMenu aMenu);
}
