package sra.jun.opengl.display;

import java.awt.event.MouseEvent;
/**
 * JunOpenGLEmbeddedDisplayController class
 * 
 *  @author    nisinaka
 *  @created   2003/01/08 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLEmbeddedDisplayController.java,v 6.5 2004/04/15 06:28:07 nisinaka Exp $
 */
public class JunOpenGLEmbeddedDisplayController extends JunOpenGLDisplayController {

	/**
	 * The mouse button has been pressed.
	 * 
	 * @param event java.awt.event.MouseEvent
	 */
	public void mousePressed(MouseEvent event) {
		if (event.isMetaDown()) {
			this.flushMovementVector();
			this.getOpenGLView()._showPopupMenu(event.getX(), event.getY());
		} else {
			super.mousePressed(event);
		}
	}
}
