package sra.jun.topology.elements;

import sra.jun.topology.abstracts.*;

/**
 * JunLoopProxy class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunLoopProxy.java,v 6.5 2004/04/15 06:28:14 nisinaka Exp $
 */
public class JunLoopProxy extends JunTopologicalElementProxy {

	/**
	 * Answer the JunTopologicalElement of JunBody corresponds to the receiver.
	 * 
	 * @param aBody sra.jun.topology.elements.JunBody
	 * 
	 * @return sra.jun.topology.abstracts.JunTopologicalElement
	 */
	public JunTopologicalElement value_(JunBody aBody) {
		return aBody.loopAt_(this);
	}
}
